Subject: Re: Re* [PATCH] builtin-rerere: fix conflict markers parsing

From: Olivier Marin <[email-masked]>
Date: Tue, 08 Jul 2008 12:42:05 +0200

Junio C Hamano a écrit :
> Junio C Hamano <[email-masked]> writes:
> 
> I am wondering if a patch like this on top of your patch may make things
> even safer.  The idea is the same as the earlier a1b32fd (git-rerere:
> detect unparsable conflicts, 2008-06-22) to fail rerere unless the markers
> are unambiguous.
> 
> Thanks to your isspace(buf[7]), it is slightly less likely that this
> safety triggers on false positives.
> 
> Thoughts?

My main concern was the error message that most users will not understand
after a "git rebase --continue", for example. So, I tried to remove it and
let things work as before because rerere seems to work even with ambiguous
cases.

But I think your patch is the right thing to do: safe is better.

Olivier.